function NewRaycastWeaponBase:tweak_data_anim_offset(anim, offset, second_gun)
	local unit_anim = anim
	local data = tweak_data.weapon.factory[self._factory_id]
	if second_gun and alive(self._second_gun) then
		if data.animations and data.animations[unit_anim] then
			local anim_name = data.animations[unit_anim]
			local ids_anim_name = Idstring(anim_name)
			self._second_gun:base()._unit:anim_set_time(ids_anim_name, offset)
		end
		for part_id, data in pairs(self._second_gun:base()._parts) do
			if data.animations and data.animations[unit_anim] then
				local anim_name = data.animations[unit_anim]
				local ids_anim_name = Idstring(anim_name)
				data.unit:anim_set_time(ids_anim_name, offset)
			end
		end
	else
		if data.animations and data.animations[unit_anim] then
			local anim_name = data.animations[unit_anim]
			local ids_anim_name = Idstring(anim_name)
			self._unit:anim_set_time(ids_anim_name, offset)
		end
		for part_id, data in pairs(self._parts) do
			if data.animations and data.animations[unit_anim] then
				local anim_name = data.animations[unit_anim]
				local ids_anim_name = Idstring(anim_name)
				data.unit:anim_set_time(ids_anim_name, offset)
			end
		end
	end
	return true
end